public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/binding_of_caller/
Date: Fri,  8 Mar 2024 09:47:42 +0000 (UTC)	[thread overview]
Message-ID: <1709891254.3eed7fe0476c90be2ea734ef297cb33735b2c958.graaff@gentoo> (raw)

commit:     3eed7fe0476c90be2ea734ef297cb33735b2c958
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  8 09:42:51 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Mar  8 09:47:34 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3eed7fe0

dev-ruby/binding_of_caller: add 1.0.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/binding_of_caller/Manifest                |  1 +
 .../binding_of_caller-1.0.1.ebuild                 | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/binding_of_caller/Manifest b/dev-ruby/binding_of_caller/Manifest
index edf5c7a36dde..4f507d39cba8 100644
--- a/dev-ruby/binding_of_caller/Manifest
+++ b/dev-ruby/binding_of_caller/Manifest
@@ -1 +1,2 @@
 DIST binding_of_caller-1.0.0.tar.gz 7473 BLAKE2B 2a8f3cee555e11c9eeb56935d0ee51deb037ea5fc631b4ef5eb50a831e48ba47c6a94e9104456bd8e6c4910bc76c5bc7e268db7de8c5ed283886b80c3feffd62 SHA512 89c58fec180b7bc25c5124035ed69692961148a3ddcb561643e7b8b1a78c3b103795408b52e70264db7c4b62080991219af977c5b981a135d573ecd56cebebba
+DIST binding_of_caller-1.0.1.tar.gz 7514 BLAKE2B 1a6786d4fa2a01f72bf5b38f8fced3950826488501fa15fb8b37188e345d6a93ce8a4598f7c4c0048ca05bfae8ff23daab8a0fb89da3140f83f20dbca60ae1f3 SHA512 ebdcb2e0e41efef38eec2aa814f4d875249e1fb4f4719238fae2c92533a37324fe64bc9edbebddf2d240f0c3dd213fddf1584cb9841e4fc946c6aecbe8543e34

diff --git a/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild b/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild
new file mode 100644
index 000000000000..90fe35a91cb9
--- /dev/null
+++ b/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="binding_of_caller.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Retrieve the binding of a method's caller"
+HOMEPAGE="https://github.com/banister/binding_of_caller"
+SRC_URI="https://github.com/banister/binding_of_caller/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/debug_inspector-1.2.0"
+
+all_ruby_prepare() {
+	sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+	sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}


             reply	other threads:[~2024-03-08  9:47 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-08  9:47 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-31 19:49 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/binding_of_caller/ Hans de Graaff
2023-08-27 17:59 Hans de Graaff
2023-07-03  9:15 Hans de Graaff
2022-05-08  5:44 Hans de Graaff
2022-05-08  5:44 Hans de Graaff
2021-06-30  6:56 Hans de Graaff
2021-02-28  6:43 Hans de Graaff
2020-08-23  5:42 Hans de Graaff
2019-02-03 10:49 Hans de Graaff
2018-12-15  7:42 Hans de Graaff
2018-02-02 11:25 Hans de Graaff
2018-02-02 11:25 Hans de Graaff
2018-01-11  5:44 Hans de Graaff
2017-10-22  6:16 Hans de Graaff
2017-08-16  6:12 Hans de Graaff
2016-12-17  6:01 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709891254.3eed7fe0476c90be2ea734ef297cb33735b2c958.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox